Debian Bug report logs - #611196
partman-crypto: Make "Erasing data" step optional. blockdev-wipe is too slow.

version graph

Package: partman-crypto; Maintainer for partman-crypto is Debian Install System Team <debian-boot@lists.debian.org>; Source for partman-crypto is src:partman-crypto.

Reported by: Pavel Zubkou <pavel.zubkou@gmail.com>

Date: Wed, 26 Jan 2011 16:15:02 UTC

Severity: normal

Tags: confirmed, d-i, patch

Merged with 678015, 706438, 721360, 722898

Fixed in version partman-crypto/64

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pavel.zubkou@gmail.com, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#611196; Package debian-installer. (Wed, 26 Jan 2011 16:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pavel Zubkou <pavel.zubkou@gmail.com>:
New Bug report received and forwarded. Copy sent to pavel.zubkou@gmail.com, Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 26 Jan 2011 16:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pavel Zubkou <pavel.zubkou@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer: Make "Erasing data" step optional
Date: Wed, 26 Jan 2011 18:12:08 +0200
Package: debian-installer
Severity: wishlist

Using Squeeze installer RC2 (text mode via "Install" option from boot menu), after selecting "Guided, entire disk, encrypted LVM" as a partitioning mode and confirming it, there is a long process of erasing data from partition #5.

As I am installing Debian on a new system with a blank disk it will be prefered to omit "Erasing data" step by telling installer not to do it, because it is time-consuming and obviously not needed on a new disk.

-- System Information:
Debian Release: 6.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#611196; Package debian-installer. (Thu, 27 Jan 2011 04:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 611196@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 27 Jan 2011 04:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 611196@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Pavel Zubkou <pavel.zubkou@gmail.com>, 611196@bugs.debian.org
Subject: Re: Bug#611196: debian-installer: Make "Erasing data" step optional
Date: Thu, 27 Jan 2011 05:40:10 +0100
[Message part 1 (text/plain, inline)]
Quoting Pavel Zubkou (pavel.zubkou@gmail.com):
> Package: debian-installer
> Severity: wishlist
> 
> Using Squeeze installer RC2 (text mode via "Install" option from boot menu), after selecting "Guided, entire disk, encrypted LVM" as a partitioning mode and confirming it, there is a long process of erasing data from partition #5.
> 
> As I am installing Debian on a new system with a blank disk it will be prefered to omit "Erasing data" step by telling installer not to do it, because it is time-consuming and obviously not needed on a new disk.

You can. Just "hit" Cancel when the erase progress bar is showing
up. It will cancel the erase process and things will continue.

At least, this is what happened during a short test I just did.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#611196; Package debian-installer. (Thu, 27 Jan 2011 15:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pavel Zubkou <pavel.zubkou@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 27 Jan 2011 15:51:05 GMT) Full text and rfc822 format available.

Message #15 received at 611196@bugs.debian.org (full text, mbox):

From: Pavel Zubkou <pavel.zubkou@gmail.com>
To: 611196@bugs.debian.org
Subject: Re: Bug#611196: debian-installer: Make "Erasing data" step optional
Date: Thu, 27 Jan 2011 17:49:14 +0200
On 01/27/2011 06:40 AM, Christian PERRIER wrote:
> You can. Just "hit" Cancel when the erase progress bar is showing
> up. It will cancel the erase process and things will continue.
>
> At least, this is what happened during a short test I just did.

Thanks for hint. But from onscreen dialog it is not obvious what 
<Cancel> will do: will it skip the erase step or will it cancel it and 
go to previous pre-erase step.

Is it possible to name that button as "Skip" or provide an explanatory 
text, something like "If you think that there is no need for erasing 
previously stored data (e.g. disk was empty or already erased), hit 
<Cancel> to skip this step."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#611196; Package debian-installer. (Thu, 27 Jan 2011 23:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 27 Jan 2011 23:12:07 GMT) Full text and rfc822 format available.

Message #20 received at 611196@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Pavel Zubkou <pavel.zubkou@gmail.com>, 611196@bugs.debian.org
Subject: Re: Bug#611196: debian-installer: Make "Erasing data" step optional
Date: Thu, 27 Jan 2011 19:07:41 +0100
[Message part 1 (text/plain, inline)]
reassign 611196 partman-crypto
thanks

Quoting Pavel Zubkou (pavel.zubkou@gmail.com):
> On 01/27/2011 06:40 AM, Christian PERRIER wrote:
> >You can. Just "hit" Cancel when the erase progress bar is showing
> >up. It will cancel the erase process and things will continue.
> >
> >At least, this is what happened during a short test I just did.
> 
> Thanks for hint. But from onscreen dialog it is not obvious what
> <Cancel> will do: will it skip the erase step or will it cancel it
> and go to previous pre-erase step.
> 
> Is it possible to name that button as "Skip" or provide an
> explanatory text, something like "If you think that there is no need
> for erasing previously stored data (e.g. disk was empty or already
> erased), hit <Cancel> to skip this step."


Rename to Skip --> no because that belongs to the debconf interface

Reword the dialog --> That could maybe be done. Reassigning the bug
report.


[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'debian-installer' to 'partman-crypto'. Request was from Christian PERRIER <bubulle@debian.org> to control@bugs.debian.org. (Thu, 27 Jan 2011 23:12:08 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'wishlist' Request was from Thiemo Nagel <thiemo.nagel@gmail.com> to control@bugs.debian.org. (Fri, 11 Oct 2013 09:42:10 GMT) Full text and rfc822 format available.

Added tag(s) d-i, confirmed, and patch. Request was from Thiemo Nagel <thiemo.nagel@gmail.com> to control@bugs.debian.org. (Fri, 11 Oct 2013 09:42:10 GMT) Full text and rfc822 format available.

Merged 611196 678015 706438 721360 722898 Request was from Thiemo Nagel <thiemo.nagel@gmail.com> to control@bugs.debian.org. (Fri, 11 Oct 2013 09:42:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'partman-crypto: Make "Erasing data" step optional. blockdev-wipe is too slow.' from 'debian-installer: Make "Erasing data" step optional' Request was from Agustin Martin <agmartin@debian.org> to control@bugs.debian.org. (Wed, 23 Oct 2013 09:57:07 GMT) Full text and rfc822 format available.

Added indication that bug 611196 blocks 726448 Request was from Thiemo Nagel <thiemo.nagel@gmail.com> to control@bugs.debian.org. (Wed, 23 Oct 2013 20:30:13 GMT) Full text and rfc822 format available.

Message #33 received at 722898-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 722898-close@bugs.debian.org
Subject: Bug#722898: fixed in partman-crypto 64
Date: Wed, 30 Oct 2013 21:22:06 +0000
Source: partman-crypto
Source-Version: 64

We believe that the bug you reported is fixed in the latest version of
partman-crypto, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 722898@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated partman-crypto package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 30 Oct 2013 20:24:43 +0100
Source: partman-crypto
Binary: partman-crypto partman-crypto-dm
Architecture: source i386 all
Version: 64
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 partman-crypto - Add to partman support for block device encryption (udeb)
 partman-crypto-dm - Add to partman support for dm-crypt encryption (udeb)
Closes: 722898
Changes: 
 partman-crypto (64) unstable; urgency=low
 .
   [ Thiemo Nagel ]
   * Make "Erasing data" step optional. blockdev-wipe is too slow
     Closes: #722898
   * blockdev-wipe: Set blocksize to 512k
   * blockdev-wipe: Sync at most once per second
   * blockdev-wipe: Allocate buffer from heap instead of stack
   * blockdev-wipe: Reduce progress indicator granularity to 1/1000
 .
   [ Updated translations ]
   * Polish (pl.po) by Michał Kułach
Checksums-Sha1: 
 eb952c5daf25814be5aefa4a37e97c195d63acfb 1782 partman-crypto_64.dsc
 6df86ef612ce50ad39e00542d82e046e0f9d916d 336395 partman-crypto_64.tar.gz
 4ce51c43c5a268ce468d86fb695ecfa223e5806f 294134 partman-crypto_64_i386.udeb
 46d29e4698046e7f6ff1fb9af3d80ecc6f7f3887 1328 partman-crypto-dm_64_all.udeb
Checksums-Sha256: 
 3c99a501ae9e591545251d0975702216be65976a5e70981442dc1047c24edca6 1782 partman-crypto_64.dsc
 e74474850fbb4e416236aa76819c4d59cb3a7464d2bd4c6212e78e49027c78f0 336395 partman-crypto_64.tar.gz
 6a8f917fbf871aee131b5cc41d92f7aaf822625f04334f4409d05ebb322577a2 294134 partman-crypto_64_i386.udeb
 27eafc8f57e932fcd7b611c61c234b4126f704c6f62288794ac338c004ba37ea 1328 partman-crypto-dm_64_all.udeb
Files: 
 318159afcd71ff005e57be5d1a8b3d45 1782 debian-installer optional partman-crypto_64.dsc
 a95d781a1e166a98635c1fb1c1605233 336395 debian-installer optional partman-crypto_64.tar.gz
 89a2af00e5e971165bd00ed134838410 294134 debian-installer optional partman-crypto_64_i386.udeb
 384268547b33c460a8c3159417608f8e 1328 debian-installer optional partman-crypto-dm_64_all.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUnFv6IcvcCxNbiWoAQLTlhAAilYMczZqvkQbq90Ot05WW8qQpVPBGuuI
k6eqyecyx/E8pd3RDvcP5nivRUix0X9f3Dq/wMB0VMEdp4oc+VqvOhVXOP3QfJFk
vJ68XAFY2Cvbn/2UOgBPUpcMHlRWpTUd0R+yJJpJ3vzB0wEGMiPueoOMua4cZXyn
y8vIAJ4ctWgJz6gEeI/j53yGuFmUNF3MxAOFSyTX3kQUXgwZtWUYoDC0g1C6pPb5
dqP6mEvspHxmFN2+O5HEBHZIZ5hoAsu9+72SDJ2dXcrRREgkkcXodd48hiDulwvJ
nu84ZSqMt7zrl8P6DA2FU0G6rUz4i9+Yz51GClTH1XoRcuEu6/uJN0WQ5S1Xy37e
h3e/SGm4BENygGw3j9BP9ivC8XrychS2h9OBcHzG02hOLZxgTAonmKtIp++JZcHc
cRvZG6vH1Sc3zVdcXt6RoGN00JMxmKmINh27iOr4AUExnRaBYA/jjp6LgrWRm5w4
CQfJ1F2QfGYV9aJI5LtlBoImU7ZBmYfWTnATfovrvR/lKTssfujFunjtGW8AKBQK
rfXmXe0gOklzMivxp/dkldholM3VA+VbAMEYBM5HB7/XoPI8gl7OXsifoyK07ajF
4tq2ZYiNtOEac8LFhzCH0zzGt7NHiluJDMGq4tOVEAUKv/u/wDU1QtnVHMPTV3CT
xndF/JXQVQk=
=edEX
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 29 Nov 2013 07:28:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:30:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.